package com.muyu.common.rabbit;

import jakarta.annotation.PostConstruct;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.context.annotation.Configuration;



@Log4j2
@AllArgsConstructor
@Configuration
public class RabbitConfig {

    private final AmqpAdmin amqpAdmin;

    private final AmqpTemplate amqpTemplate;



    @PostConstruct
    public void init(){
       log.info("rabbit启动成功");
    }


}
